Subject: Re: [Dime] DOIC and terminology

From: Ben Campbell <[email-masked]>
Date: Tue, 3 Dec 2013 15:35:07 -0600

IMHO, the term "server farm" is useful, but the term SFE is not. In fact, I suspect that people will read more into SFE than intended, and think it means something special, or that we are defining a new architectural element.

On Nov 28, 2013, at 3:51 AM, Jouni Korhonen <[email-masked]> wrote:

> Folks,
> 
> In the terminology there is an open issue:
> 
>          [OpenIssue: We used the concept of a server farm and SFE for
>          internal discussions. Do we still need those concepts to explain the
>          mechanism? It doesn't seem like we use them much.]
> 
> The terms server farm and SFE are mainly used within the terminology
> section itself. If we were to remove e.g. SFE only, then the following are
> also in the list for removal:
> 
>   Load Management:
> 
>      This functionality ensures that the consolidated load state for
>      the server farm is collected, and processed.  The exact algorithm
>      for computing the load at the SFE is implementation specific but
>      enough semantic of the conveyed load information needs to be
>      specified so that deterministic behavior can be ensured.
> 
>   Overload Management:
> 
>      The SFE is the entity that understands the consolidated overload
>      state for the server farm.  Just as it is outside the scope of
>      this document to specify how a Diameter server calculates its
>      overload state, it is also outside the scope of this document to
>      specify how an SFE calculates the overload state for the set of
>      servers.  This document describes how the SFE communicates
>      Overload information to Diameter Clients.
> 
>   Server Farm Identity Management:
> 
>      Server Farm Identity Management (SFIM) is a mechanism that can be
>      used by the SFE to present a single Diameter identity that can be
>      used by clients to send Diameter requests to the server farm.
>      This requires that the SFE modifies Origin-Host information in
>      answers coming from servers in the server farm.  An agent that
>      performs SFIM appears as a server from the client's perspective.
> 
> 
> There are also other impacts but those can be reworded with a minor effort.
> 
> 
> Opinions?
> 
> _______________________________________________
> DiME mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/dime